OGRE_NATIVE_GLSL_VERSION_DIRECTIVE
#include <OgreUnifiedShader.h>

OGRE_UNIFORMS(
     uniform mat4 world;
     uniform mat4 worldViewProj;
)

MAIN_PARAMETERS
IN(vec4 vertex, POSITION);
OUT(vec4 vposition, POSITION);
OUT(vec3 positionWS, TEXCOORD0);

MAIN_DECLARATION
{
	vposition = mul(worldViewProj, vertex);
	positionWS = mul(world, vertex).xyz;
	gl_Position = vposition;
}

